Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Static Protected Member Functions | List of all members
InitGoogleTestTest Class Reference
Inheritance diagram for InitGoogleTestTest:

## Protected Member Functions
virtual void | SetUp ()
Protected Member Functions inherited from Test
| Test ()
virtual void | TearDown ()
| Test ()
virtual void | TearDown ()
| Test ()
virtual void | TearDown ()

## Static Protected Member Functions
template<typename CharType >
static void | AssertStringArrayEq (size_t size1, CharType **array1, size_t size2, CharType **array2)
static void | CheckFlags (const Flags &expected)
template<typename CharType >
static void | TestParsingFlags (int argc1, const CharType **argv1, int argc2, const CharType **argv2, const Flags &expected, bool should_print_help)

## Additional Inherited Members
Public Types inherited from Test
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
Public Member Functions inherited from Test
virtual | ~Test ()
virtual | ~Test ()
virtual | ~Test ()
Static Public Member Functions inherited from Test
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)

## Member Function Documentation

static void AssertStringArrayEq | ( | size_t | size1,
|  | CharType ** | array1,
|  | size_t | size2,
|  | CharType ** | array2
| ) |  |
| inline static protected

static void CheckFlags | ( | const Flags & | expected | ) |
| inline static protected

virtual void SetUp | ( |  | ) |
| inline protected virtual

Reimplemented from Test.

static void TestParsingFlags | ( | int | argc1,
|  | const CharType ** | argv1,
|  | int | argc2,
|  | const CharType ** | argv2,
|  | const Flags & | expected,
|  | bool | should_print_help
| ) |  |
| inline static protected

The documentation for this class was generated from the following file:

- testing/googleTest/test/gtest_unittest.cc